RegionConfigurationCacheListener (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.modules.util

## Class RegionConfigurationCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<java.lang.String,RegionConfiguration>
  - - org.apache.geode.modules.util.RegionConfigurationCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<java.lang.String,RegionConfiguration>, Declarable

      public class RegionConfigurationCacheListener
      extends CacheListenerAdapter<java.lang.String,RegionConfiguration>
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionConfigurationCacheListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate(EntryEvent<java.lang.String,RegionConfiguration> event)` Handles the event of new key being added to a region.
    `void` | `afterRegionCreate(RegionEvent<java.lang.String,RegionConfiguration> event)` Handles the event of a region being created.
    `void` | `afterUpdate(EntryEvent<java.lang.String,RegionConfiguration> event)` Handles the event of an entry's value being modified in a region.
    `void` | `init(java.util.Properties p)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterDestroy, afterInvalidate, afterRegionClear, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### RegionConfigurationCacheListener

          public RegionConfigurationCacheListener()

  - ### Method Detail

    - #### afterCreate

          public void afterCreate(EntryEvent<java.lang.String,RegionConfiguration> event)

      Description copied from interface: `CacheListener`
      Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
      Specified by:
        `afterCreate` in interface `CacheListener<java.lang.String,RegionConfiguration>`
      Overrides:
        `afterCreate` in class `CacheListenerAdapter<java.lang.String,RegionConfiguration>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.create(Object, Object)`, `Region.put(Object, Object)`, `Region.get(Object)`

    - #### afterUpdate

          public void afterUpdate(EntryEvent<java.lang.String,RegionConfiguration> event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry's value being modified in a region. This entry previously existed in this region in the local cache, but its previous value may have been null.
      Specified by:
        `afterUpdate` in interface `CacheListener<java.lang.String,RegionConfiguration>`
      Overrides:
        `afterUpdate` in class `CacheListenerAdapter<java.lang.String,RegionConfiguration>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.put(Object, Object)`

    - #### afterRegionCreate

          public void afterRegionCreate(RegionEvent<java.lang.String,RegionConfiguration> event)

      Description copied from interface: `CacheListener`
      Handles the event of a region being created. Events are invoked for each individual region that is created.

      Note that this method is only called for creates done in the local vm. To be notified of creates done in remote vms use `RegionMembershipListener.afterRemoteRegionCreate(org.apache.geode.cache.RegionEvent<K, V>)`.

      Specified by:
        `afterRegionCreate` in interface `CacheListener<java.lang.String,RegionConfiguration>`
      Overrides:
        `afterRegionCreate` in class `CacheListenerAdapter<java.lang.String,RegionConfiguration>`
      Parameters:
        `event` - the RegionEvent
      See Also:
        `Cache.createRegion(java.lang.String, org.apache.geode.cache.RegionAttributes<K, V>)`, `Region.createSubregion(java.lang.String, org.apache.geode.cache.RegionAttributes<SK, SV>)`

    - #### init

          public void init(java.util.Properties p)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `p` - Contains the parameters declared in the declarative xml file.